@echo off
cls
setlocal


@rem ---------------------------------------
@rem - if the first parameter is "user" then
@rem - look for the Service User/Password
@rem ---------------------------------------

if [%1]==[-user] (
    goto :SERVICE_INFO
)

goto :PC_INFO


:SERVICE_INFO    

@rem ---------------------------------------
@rem - look for USER and PASSWORD
@rem ---------------------------------------

set SERVICE_LOGIN_ID=
set SERVICE_PASSWORD=

if [%1]==[-user] (
    set SERVICE_LOGIN_ID=%1 %2
    shift
    shift
)
if [%1]==[-password] (
    set SERVICE_PASSWORD=%1 %2
    shift
    shift
)



:PC_INFO

@rem ---------------------------------------
@rem - look for PartnerConnect params
@rem ---------------------------------------

set PARAMETERS=-config ..\config\PCFTC_test.ini %*

call commonInstallSetup.bat %*

echo . Ensuring proper initial configuration
echo . ----------------------------------------------------------
echo .

call configure_test.bat %*

if errorlevel 1 goto :END

echo . Installing Quartz Scheduler as service on Windows NT/2K/XP
echo . ----------------------------------------------------------
echo .

echo .
echo .  Ready to install the service %SERVICE_NAME%.  Press Enter to proceed 
echo .  or CTRL-C to abort
echo .

pause

%INSTALLCMD%

echo . Starting service 
echo .

..\system\sleep 10
call net start %SERVICE_NAME%

:END
endlocal